Loading...
Searching...
No Matches
osmium::io::NoDecompressor Class Referencefinal

`#include <compression.hpp>`

Inheritance diagram for osmium::io::NoDecompressor:
[legend]
Collaboration diagram for osmium::io::NoDecompressor:
[legend]

## Public Member Functions

| NoDecompressor (const int fd)
| NoDecompressor (const char *buffer, const std::size_t size)
| NoDecompressor (const NoDecompressor &)=delete
NoDecompressor & | operator= (const NoDecompressor &)=delete
| NoDecompressor (NoDecompressor &&)=delete
NoDecompressor & | operator= (NoDecompressor &&)=delete
| ~NoDecompressor () noexcept override
std::string | read () override
void | close () override
Public Member Functions inherited from osmium::io::Decompressor
| Decompressor ()=default
| Decompressor (const Decompressor &)=delete
Decompressor & | operator= (const Decompressor &)=delete
| Decompressor (Decompressor &&)=delete
Decompressor & | operator= (Decompressor &&)=delete
virtual | ~Decompressor () noexcept=default
virtual bool | is_real () const noexcept
void | set_offset_ptr (std::atomic< std::size_t > *offset_ptr) noexcept
void | set_offset (const std::size_t offset) noexcept
bool | want_buffered_pages_removed () const noexcept
void | set_want_buffered_pages_removed (bool value) noexcept

## Private Attributes

int | m_fd = -1
const char * | m_buffer = nullptr
std::size_t | m_buffer_size = 0
std::size_t | m_offset = 0

## Additional Inherited Members

Public Types inherited from osmium::io::Decompressor
enum | { input_buffer_size = 1024U * 1024U }

## Constructor & Destructor Documentation

## NoDecompressor() [1/4]

osmium::io::NoDecompressor::NoDecompressor | ( | const int | fd | ) |

inlineexplicit

## NoDecompressor() [2/4]

osmium::io::NoDecompressor::NoDecompressor | ( | const char * | buffer,
|  | const std::size_t | size )

inline

## NoDecompressor() [3/4]

osmium::io::NoDecompressor::NoDecompressor | ( | const NoDecompressor & |  | ) |

delete

## NoDecompressor() [4/4]

osmium::io::NoDecompressor::NoDecompressor | ( | NoDecompressor && |  | ) |

delete

## ~NoDecompressor()

osmium::io::NoDecompressor::~NoDecompressor | ( |  | ) |

inlineoverridenoexcept

## Member Function Documentation

## close()

void osmium::io::NoDecompressor::close | ( |  | ) |

inlineoverridevirtual

Implements osmium::io::Decompressor.

## operator=() [1/2]

NoDecompressor & osmium::io::NoDecompressor::operator= | ( | const NoDecompressor & |  | ) |

delete

## operator=() [2/2]

NoDecompressor & osmium::io::NoDecompressor::operator= | ( | NoDecompressor && |  | ) |

delete

## read()

std::string osmium::io::NoDecompressor::read | ( |  | ) |

inlineoverridevirtual

Implements osmium::io::Decompressor.

## Member Data Documentation

## m_buffer

const char* osmium::io::NoDecompressor::m_buffer = nullptr

private

## m_buffer_size

std::size_t osmium::io::NoDecompressor::m_buffer_size = 0

private

## m_fd

int osmium::io::NoDecompressor::m_fd = -1

private

## m_offset

std::size_t osmium::io::NoDecompressor::m_offset = 0

private

The documentation for this class was generated from the following file:

- include/osmium/io/compression.hpp